#165 Configure fails on RedHat 9

closed-out-of-date
other (29)
6
2003-10-22
2003-05-26
No

HTDig Version: 3.1.6
RedHat 9

From: philip@vogon.net

When running configure, the configuraton terminates with:

checking for alloca.h... yes
checking for sys/select.h... yes
checking for wait.h... yes
checking for sys/wait.h... yes
checking for malloc.h... (cached) yes
checking for ostream.h... no
checking for iostream.h... no
checking for fstream.h... no
configure: error: To compile ht://Dig, you will need a
C++ library. Try installing libstdc++.

libstdc++ is installed:

# ls /usr/lib/libstdc++*
/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so
/usr/lib/libstdc++.so.2.7.2.8
/usr/lib/libstdc++-3-libc6.2-2-2.10.0.a
/usr/lib/libstdc++.so.2.8
/usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
/usr/lib/libstdc++.so.2.8.0
/usr/lib/libstdc++-libc6.1-1.so.2
/usr/lib/libstdc++.so.2.9
/usr/lib/libstdc++-libc6.2-2.a.3
/usr/lib/libstdc++.so.2.9.dummy
/usr/lib/libstdc++-libc6.2-2.so.3
/usr/lib/libstdc++.so.5
/usr/lib/libstdc++.so.2.7.2
/usr/lib/libstdc++.so.5.0.3

Discussion

  • Philip Peake

    Philip Peake - 2003-06-01
    • priority: 5 --> 6
     
  • Lachlan Andrew

    Lachlan Andrew - 2003-06-06

    Logged In: YES
    user_id=663373

    Ideally, I'd recommend using the latest 3.2.0 beta snapshot.
    The latest ht://Dig development snapshots are available at
    <http://www.htdig.org/files/snapshots/>. There are
    snapshots of development code for both the 3.1.x stable
    series, and the 3.2.0 beta series. Use whichever meets your
    needs best. Most known bugs are already fixed in the
    snapshots, but be aware that they are still works in progress
    and may contain new bugs.

    However, you if you really want to run 3.1.6, try running
    setting the environment variable CPPFLAGS=-Wno-deprecated

    I hope this helps,
    Lachlan

     
  • Philip Peake

    Philip Peake - 2003-06-06

    Logged In: YES
    user_id=787326

    This does allow configure to work, and the binaries mostly
    work, but I get an ABORT from htnotify.

    So, I just downloaded version 3.2.0b3.

    This has the same configure problem. I think that whatever
    test you are using to determine if stdlibc++ is installed
    may be broken - it is definately installed on this machine.

    I will now try the same env. variable to see if I can get
    3.2.0b3 to configure...

     
  • Lachlan Andrew

    Lachlan Andrew - 2003-06-07

    Logged In: YES
    user_id=663373

    Ahh... I should have emphasised *snapshot*... 3.2.0b3 is
    several years old.

    The 3.2.0b4 snapshot (about to be released as 3.2.0b5) has
    had this bug fixed. Go to
    <http://www.htdig.org/files/snapshots/> and download one of
    the 3.2.0b4 snapshots from there.

    Cheers,
    Lachlan

     
  • Lachlan Andrew

    Lachlan Andrew - 2003-06-07
    • assigned_to: nobody --> lha
     
  • Nobody/Anonymous

    Logged In: NO

    I get exactly the same error and libstdc++ is also installed.
    Any clues?

    Daniel Canas
    canas@wfu.edu

     
  • Neal Richter

    Neal Richter - 2003-10-13

    Logged In: YES
    user_id=624975

    Any update on this????? Neal

     
  • Lachlan Andrew

    Lachlan Andrew - 2003-10-22
    • status: open --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks